:root {
	--zuz: #58483d;
	--zuz-alt1: #cb8554;
	--zuz-alt2: #346159;
}

* {
	box-sizing: border-box;
}
html {
	scroll-behavior: smooth;
}
html, body {
	margin: 0;
	padding: 0;
}
body {
	margin: 0;
	font-family: Georgia, Times, serif;
	font-weight: normal;
	font-style: normal;
	font-size: 1.2rem;
	color: var(--zuz);
	-webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    background-color: #fff;
    background-image: url(images/bg-pattern.jpg);
}
body.noscroll {
	overflow: hidden;
}

h1 {
	font-size: 2.6rem;
	font-weight: normal;
}
@media screen and (min-width: 800px) {
	h1 {
		font-size: 3.5rem;
	}
}
@media screen and (max-width: 500px) {
	h1 {
		
	}
}
h2 {
	font-size: 2.6rem;
	font-weight: normal;
}
h3 {
	font-size: 1.8rem;
	font-weight: normal;
}

/*.text-wrapper p, .standort-content {
	font-size: 1.4rem;
	line-height: 1.5rem;
}*/

a {
	text-decoration: underline;
	text-underline-offset: 3px;
	color: inherit;
	transition: all 0.2s ease-in-out;
}
a:hover {
	
}

.button {
	padding: 1rem;
	display: inline-flex;
	justify-content: center;
/*	background-color: var(--zuz);*/
	border: 3px double var(--zuz);
/*	color: #fff;*/
	line-height: 1rem;
	cursor: pointer;
	text-decoration: none;
	text-transform: uppercase;

	white-space: nowrap;
	overflow: hidden;
	position: relative;
}
.button.alt1 {
	border-color: var(--zuz-alt1);
}
.button.alt2 {
	border-color: var(--zuz-alt2);
}
.button:hover, .button.active {
	color: #fff;
}
.button::after {
	content: '';
	position: absolute;
	top: 100%;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: var(--zuz);
	transition: all 0.4s ease-out;
	z-index: -1;
}
.button.alt1::after {
	background-color: var(--zuz-alt1);
}
.button.alt2::after {
	background-color: var(--zuz-alt2);
}
.button:hover::after {
	top: 0;
	transition: all 0.4s cubic-bezier(0.2, 0.0, 0, 1.0);
}

hr {
	border: 0;
    border-bottom: 1px solid #ccc;
    margin: 2rem 0;
}

/* # # # # PAGE HEADER # # # # # # # # # # # # */

#page-head {
	width: 100%;
	padding: 2rem;

	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}

#page-head .logo {
	max-height: 80px;
	margin-bottom: 1rem;
}

#page-head .button {
	font-size: smaller;
}

@media screen and (min-width: 800px) {
	#page-head {
		flex-direction: row;
	}
	#page-head .logo {
		margin-top: 1rem;
		margin-bottom: 0;
	}
	#page-head .button {
		position: absolute;
		right: 3vw;
		display: flex;
		flex-direction: column;
	}
}

/* # # # # MAIN CONTENT # # # # # # # # # # # # */

main {
	overflow: hidden;
}

section {
	
}

main p {
	
}

main img {
	width: 100%;
}

.fullimage {
	width: 100%;
	height: 600px;
	overflow: hidden;
	position: relative;
}
@media screen and (min-width: 600px) {
	.fullimage {
		height: 85vh;
	}
}
.fullimage img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: center center;
	position: absolute;
	top: 0;
	left: 0;
}

.about {
	display: flex;
	flex-direction: column;
	align-items: center;
}

.about .text-wrapper {
	display: inline-block;
	margin: 6rem 2rem 2rem;
	box-sizing: content-box;
	max-width: 400px;
	position: relative;
}
.about .text-wrapper.headline {
	max-width: 580px;
}
@media screen and (min-width: 800px) {
	.about .text-wrapper {
		padding-right: 10%;
	}
}
.about .text-wrapper:before {
	content: '';
	position: absolute;
	top: 0;
	width: 160px;
	height: 1px;
	background-color: var(--zuz);
}

@media screen and (min-width: 1000px) {
	.image-gallery {
		position: relative;
		width: 55vw;
		max-width: 800px;
		display: inline-flex;
		margin-top: 2rem;
	}
	.image-gallery .swiper {
		display: none;
	}
	.image-gallery img:not(:first-of-type) {
		position: absolute;
	}
	.image-gallery img:nth-of-type(2) {
		top: 25%;
		left: -45%;
		width: 40%;
	}
	.image-gallery img:nth-of-type(3) {
		top: -60%;
		right: -45%;
		width: 40%;
	}
	.image-gallery img:nth-of-type(4) {
		top: 40%;
		right: -55%;
		width: 50%;
	}
	.image-gallery img:nth-of-type(5) {
		top: 107%;
		right: -15%;
		width: 30%;
	}
}
@media screen and (max-width: 1000px) {
	.image-gallery {
		display: flex;
		align-items: flex-end;
		overflow-y: hidden;
		scroll-snap-type: x mandatory;
		width: 100%;
		position: relative;

		-ms-overflow-style: none;  /* IE and Edge */
		scrollbar-width: none;  /* Firefox */
	}
	.image-gallery > * {
		width: auto;
		max-height: 400px;
		scroll-snap-align: center;
		transform: none !important;
	}
	.image-gallery .swiper {
		/*position: absolute;
		top: 0;
		left: 0;
		bottom: 0;
		width: 2rem;
		background-color: #fff;
		z-index: 2;*/
		font-size: 3rem;
		padding: 1rem;
	}
}

.subheading {
	font-size: 2.2rem;
	text-transform: uppercase;
	letter-spacing: 1vw;
	width: 100%;
	max-width: 800px;
	margin: 0 auto;
	padding: 6rem 2rem;
	display: flex;
	flex-direction: row;
	align-items: center;
}
.subheading:before, .subheading:after {
	content: '';
	flex: 1 1;
	height: 1px;
	background-color: var(--zuz);
}
.subheading:before {
	margin-right: 10px;
}
.subheading:after {
	margin-left: 10px;
}

/* # # # # Standorte # # # # */

@media screen and (min-width: 800px) {
	.standorte {
		display: flex;
		justify-content: center;
		margin: 0 4vw;
		gap: 4vw;
	}
	.standort {
		flex: 0 1 600px;
	}
	.standort:nth-of-type(2) {
		margin-top: 6rem;
	}
}
.standort-header {
	height: 75vh;
	overflow: hidden;
	position: relative;
	padding: 2rem;
	color: #fff;
	display: flex;
	align-items: flex-end;
}
.standort-header img {
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
	object-fit: cover;
	z-index: -1;
}
.standort-header > div {
	display: inline-block;
	position: relative;
}
.standort-header > div:before {
	content: '';
	position: absolute;
	top: 0;
	width: 160px;
	height: 1px;
	background-color: #fff;
}
.standort-header h2 {
	margin: 40px 0 0;
}
.standort-header p {
	margin: 0;
}
.standort-content {
/*	border: 1px solid var(--zuz);*/
	padding: 2rem;
}
.standort-content p:first-child {
	margin-top: 0;
}

.button-row {
	display: flex;
	gap: 20px;
	margin: 2rem 0;
	flex-wrap: wrap;
}
.button-row > * {
	flex-grow: 1;
}

/* # # # # Overlay # # # # */

.overlay {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 110;
	background-color: rgba(0,0,0,0.5);
	opacity: 0;
	pointer-events: none;
	transition: all 0.2s ease-in-out;
	display: grid;
	place-items: center;
	overflow-y: auto;
}
.overlay.open {
	opacity: 1;
	pointer-events: all;
}
.overlay.reserve {
	background-color: rgba(52, 97, 89, 0.75);
}
.overlay .overlaycontainer {
	width: auto;
	max-width: 100%;
	margin: 4vw;
	border-radius: 20px;
	background-color: #fff;
	position: relative;
	box-shadow: 0px 10px 20px rgba(0,0,0,0.1);
/*	box-shadow: 0px 1px 2px 0px rgb(0 0 0 / 30%), 0px 1px 3px 1px rgb(0 0 0 / 15%);*/
	transition: all 0.2s ease-in-out;
	transform: translateY(1em);
	opacity: 0;
}
.overlay.gastronovi .overlaycontainer {
	background-color: var(--zuz-alt2);
	padding: 1rem;
}
.overlay.open .overlaycontainer {
	transform: translateY(0);
	opacity: 1;
}

.closeoverlay {
	position: absolute;
	top: -1.5rem;
	right: -1.5rem;
	z-index: 20;
	width: 3rem;
	height: 3rem;
	border-radius: 50%;
	background-color: var(--zuz);
	display: inline-flex;
	align-items: center;
	justify-content: center;
}
.reserve .closeoverlay {
	background-color: var(--zuz-alt2);
}
.closeoverlay:before, .closeoverlay:after {
	content: '';
	position: absolute;
	width: 1rem;
	height: 0.2rem;
	background-color: #fff;
	border-radius: 0.2rem;
	transition: all 0.5s ease-in-out;
}
.closeoverlay:before {
	transform: rotate(45deg);
}
.closeoverlay:after {
	transform: rotate(135deg);
}

.closeoverlay:hover:before, .closeoverlay:hover:after {
	transform: rotate(0deg);
}

@media screen and (max-width: 440px) {
	.overlay iframe {
		width: 100%;
		max-width: 414px;
	}
}

/* # # # # Events # # # # */

.events {
	display: flex;
	flex-direction: column;
	align-items: center;
}
.events .image-wrapper {
	max-width: 900px;
	overflow: hidden;
}
.events .text-wrapper {
	width: 100%;
	max-width: 700px;
	padding: 2rem;
}

/* # # # # Default # # # # */

.default {
	display: flex;
	flex-direction: column;
	align-items: center;
}
.default .image-wrapper {
	max-width: 900px;
}
.default .text-wrapper {
	width: 100%;
	max-width: 700px;
	padding: 2rem;
}

/* # # # # */

.reveal {
	transform: translateY(100px);
	opacity: 0;
	transition: 1s all ease;
}
.reveal.active {
	transform: translateY(0);
	opacity: 1;
}

/* # # # # FOOTER # # # # */

footer {
	display: flex;
	justify-content: space-between;
	gap: 1rem;
	border-top: 1px solid var(--zuz);
	margin: 8rem 2rem 0;
	padding: 2rem;
}
footer svg {
	width: 30px;
}
@media screen and (max-width: 800px) {
	footer {
		flex-direction: column;
		margin-top: 2rem;
		padding: 2rem 0;
	}
}
